Update a tracking request custom field
curl --request PATCH \
--url https://api.terminal49.com/v2/tracking_requests/{tracking_request_id}/custom_fields/{api_slug} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.terminal49.com/v2/tracking_requests/{tracking_request_id}/custom_fields/{api_slug}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.terminal49.com/v2/tracking_requests/{tracking_request_id}/custom_fields/{api_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "custom_field",
"attributes": {
"api_slug": "<string>",
"value": "<string>",
"display_value": "<string>"
},
"relationships": {
"entity": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"definition": {
"data": {
"type": "custom_field_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
},
"links": {
"self": "<string>"
}
}Tracking Requests
Update tracking request custom field
Update an existing custom field value on a tracking request in the Terminal49 API, identified by the custom field definition’s api_slug for that record.
PATCH
/
tracking_requests
/
{tracking_request_id}
/
custom_fields
/
{api_slug}
Update a tracking request custom field
Updates a specific custom field on a tracking request by its
api_slug.
Path parameters
| Parameter | Required | Description |
|---|---|---|
tracking_request_id | Yes | The ID of the tracking request |
api_slug | Yes | The api_slug of the custom field definition |
Request body
| Parameter | Required | Description |
|---|---|---|
value | Yes | The new value to set |
Authorization
Requiresupdate permission on the tracking request.
Response
Returns200 OK with the updated custom field resource on success.Authorizations
Use a Terminal49 API key in the Authorization header with the Token prefix.
Authorization: Token YOUR_API_KEY
Path Parameters
Tracking request ID
Custom field api_slug
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I